# KSPBCGSLSetEll

Sets the number of search directions in BiCGStab(L).

### Synopsis

    PetscErrorCode PETSCKSP_DLLEXPORT KSPBCGSLSetEll(KSP ksp, int ell)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| ell | - number of search directions

### Options Database Keys

-ksp_bcgsl_ell ell -

### Keywords

KSP, BiCGStab(L), set, exact residuals,

### See Also

@()

Level:intermediate
Location: src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages